package net.morilib.nina;


public class NinaNullConsole implements NinaConsole {

	/**
	 * 
	 */
	public static final NinaNullConsole NULL = new NinaNullConsole();

	private NinaNullConsole() {}

	@Override
	public void print(String p, Object... a) {
	}

	@Override
	public void perror(String p, Object... a) {
	}

	@Override
	public void pwarn(String p, Object... a) {
	}

	@Override
	public void pmessage(String p) {
	}

}
